## golang-github-zenhack-go.notmuch 0.0~git20190821.5a19619

=== Makefile ===
.PHONY: test ci fmtcheck

ci: test fmtcheck

test: fixtures/database-v1
	@go test -v -race -cover ./...
	@rm -rf fixtures/database-v1

fmtcheck:
	# Verify that everything is properly gofmt'd.
	@[ -z "$$(gofmt -d .)" ] || ( \
		gofmt -d . >&2; \
		echo "Formatting descrepency; did you forget to run gofmt?" >&2; \
		exit 1 \
	)


fixtures/database-v1: fixtures/database-v1.tar.xz
	@tar -C fixtures -xf fixtures/database-v1.tar.xz

fixtures/database-v1.tar.xz:
	@mkdir -p fixtures
	@curl -Lo fixtures/database-v1.tar.xz http://notmuchmail.org/releases/test-databases/database-v1.tar.xz

=== debian/changelog ===
golang-github-zenhack-go.notmuch (0.0~git20190821.5a19619-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Ben Fiedler <debian@services.bfiedler.ch>  Wed, 22 Apr 2020 22:28:27 +0200

golang-github-zenhack-go.notmuch (0.0~git20190821.5a19619-1) unstable; urgency=medium

  * Initial release (Closes: #958429)

 -- Ben Fiedler <debian@services.bfiedler.ch>  Wed, 22 Apr 2020 00:19:20 +0200

=== debian/control ===
Source: golang-github-zenhack-go.notmuch
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Ben Fiedler <debian@services.bfiedler.ch>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               libnotmuch-dev,
               golang-any,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-zenhack-go.notmuch
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-zenhack-go.notmuch.git
Homepage: https://github.com/zenhack/go.notmuch
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/zenhack/go.notmuch

Package: golang-github-zenhack-go.notmuch-dev
Architecture: all
Depends: ${misc:Depends}
Description: Go language bindings for notmuch mail (library)
 Go bindings for notmuch mail.
 .
 Notmuch is a fast, global-search and tag-based email system.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_test:
	# The test for this package depends on files downloaded from the internet,
	# hence we ignore these failures
	-dh_auto_test

override_dh_auto_install:
	dh_auto_install -- --no-binaries

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/zenhack/go.notmuch.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-zenhack-go.notmuch-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/zenhack/go.notmuch/tags .*/v?(\d\S*)\.tar\.gz debian
